let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// let url_Backend_dwinzo = `http://192.168.0.102:5000`;

export const zoneCameraUpdate = async (zoneData: {}, organization: string, projectId?: string, versionId?: string) => {
  try {
    const response = await fetch(`${url_Backend_dwinzo}/api/V1/upsertZone`, {
      method: "POST",
      headers: {
        Authorization: "Bearer <access_token>",  // Replace with actual token
        "Content-Type": "application/json",
        token: localStorage.getItem("token") || "",
        refresh_token: localStorage.getItem("refreshToken") || "",
      },
      body: JSON.stringify({ zoneData, projectId, versionId }),
    });

    const newAccessToken = response.headers.get("x-access-token");
    if (newAccessToken) {
      //console.log("New token received:", newAccessToken);
      localStorage.setItem("token", newAccessToken);
    }


    if (!response.ok) {
      console.error("Failed to update camera position in the zone");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to update zone camera");
    if (error instanceof Error) {
      console.log(error.message);
    } else {
      console.log("An unknown error occurred");
    }
  }
};
